﻿using UnityEngine;
using UnityEngine.InputSystem;

public class SimplePlayerController : MonoBehaviour
{
    [SerializeField] private float movementSpeed = 2f;

    private Vector2 move;
    private CharacterController characterController;

    void Awake()
    {
        // Assign the character controller to characterController
        characterController = GetComponent<CharacterController>();
    }

    void FixedUpdate()
    {
        // Get the current keyboard controls
        var controls = Keyboard.current;

        // Determine the movement magnitudes 
        var moveX = controls[Key.D].ReadValue() - controls[Key.A].ReadValue();
        var moveY = controls[Key.W].ReadValue() - controls[Key.S].ReadValue();

        // Move the player through the character controller
        Vector3 movement = (moveY * transform.forward) + (moveX * transform.right);
        characterController.Move(movement * movementSpeed * Time.deltaTime);
    }
}
