﻿using UnityEngine;
using PureWeb;

public class TestRecieve : MonoBehaviour
{
    // Format of the expected json message
    struct ResizeMessage
    {
        public string type;
        public int width;
        public int height;
        public int action;
    }

    void Start()
    {
        // Attach the 'Test' function to the UIInteractionEvent
        PureWebStreaming.Instance.InteractionEvent += Receive;
    }

    // The UIInteractionEvent handler
    void Receive(object sender, InteractionEventArgs args)
    {
        // Try to deserialize json into ResizeMessage
        var message = PlatformMessaging.Deserialize<ResizeMessage>(args.Bytes);

        // Check that the action is the resize action (Just as an example)
        if (message.action == 1)
        {
            // Do something with the rest of the message payload
            Debug.LogFormat("{0} {1} {2} {3} {4}", args.PlayerId, message.type, message.width, message.height, message.action);
        }
    }
}
